﻿<?xml version="1.0" encoding="utf-8"?>
<policy version="1.0">
    <cmd id="1" name="qcom_cpu_info">
        <action>
            <prime_cpu_num>7-7</prime_cpu_num>
            <big_cpu_num>4-6</big_cpu_num>
            <lit_cpu_num>0-3</lit_cpu_num>
            <isolation>1</isolation>			
        </action>
    </cmd>

    <!-- Below is only for SDM7325 -->
    <!-- Little_cpu available frequencies -->
        <!-- 300000  691200  806400  940800  1152000 1324800 1516800 1651200 1804800 -->
    <!-- Bigger_cpu available frequencies -->
        <!-- 691200  940800  1228800 1344000 1516800 1651200 1900800 2054400 2131200 2400000 -->
    <!-- Prime_cpu available frequencies -->
        <!-- 806400  1056000 1324800 1516800 1766400 1862400 2035200 2208000 2380800 2400000 -->
    <!-- GPU available frequencies -->
        <!-- 315000000 450000000 550000000 -->

    <cmd id="2" name="freq_level_info1">
        <action>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="3" name="freq_level_info2">
        <action>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2380800</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="4" name="freq_level_info3">
        <action>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2131200</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2380800</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="5" name="freq_level_info4">
        <action>
            <little_cpu0_max_freq>1651200</little_cpu0_max_freq>
            <big_cpu0_max_freq>2054400</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2208000</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="6" name="freq_level_info5">
        <action>
            <little_cpu0_max_freq>1651200</little_cpu0_max_freq>
            <big_cpu0_max_freq>1651200</big_cpu0_max_freq>
            <prime_cpu0_max_freq>1862400</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="7" name="freq_level_info6">
        <action>
            <little_cpu0_max_freq>1516800</little_cpu0_max_freq>
            <big_cpu0_max_freq>1651200</big_cpu0_max_freq>
            <prime_cpu0_max_freq>1516800</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="8" name="freq_level_info7">
        <action>
            <little_cpu0_max_freq>1324800</little_cpu0_max_freq>
            <big_cpu0_max_freq>1651200</big_cpu0_max_freq>
            <prime_cpu0_max_freq>1900800</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="4096" name="touch_move">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1228800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1056000</prime_cpu0_min_freq>
            <lpm_bias_hyst>50</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
        </action>
    </cmd>

    <cmd id="4098" name="window_switch">
        <action>
            <duration_ms>400</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1651200</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1766400</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <gpu_disable_gpu_nap>400</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <sched_min_task_util_for_colocation>20</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>30</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, 8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
    </cmd>

    <cmd id="4098" scene="103" name="window_switch">
        <action>
            <duration_ms>400</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1651200</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1766400</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <gpu_disable_gpu_nap>400</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <sched_min_task_util_for_colocation>20</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>30</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, 8-core -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
    </cmd>

    <cmd id="4099" name="app_cold_start">
        <action>
            <duration_ms>1500</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>65535</l3_memlat_min_freq> <!-- max 0xFFFF -->
            <gpu_disable_gpu_nap>1500</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
        <action>
            <duration_ms>2000</duration_ms>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>

    <cmd id="4100" name="app_warm_start">
        <action>
            <duration_ms>1500</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>65535</l3_memlat_min_freq> <!-- max 0xFFFF -->
            <gpu_disable_gpu_nap>1500</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
        <action>
            <duration_ms>2000</duration_ms>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>

    <cmd id="4102" name="screen_on">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1324800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xF0, little cluster of 8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4103" name="finger_print">
        <action>
            <duration_ms>500</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1324800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2380800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- max 0xFFFF -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4104" name="status_bar">
        <action>
            <duration_ms>200</duration_ms> <!-- 200 -->
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4105" name="rotation">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xF0, little cluster of 8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4112" name="list_fling">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1324800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
    </cmd>

    <cmd id="4112" scene="6 7" name="list_fling">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>

    <cmd id="4116" name="probe">
        <action>
            <!--  probe event is not config at Qcom -->
        </action>
    </cmd>

    <!-- 4118~4224, duration_ms must be 0 -->
    <cmd id="4118" name="special_scene">
        <action>
            <duration_ms>0</duration_ms>
            <lpm_bias_hyst>5</lpm_bias_hyst>
        </action>
    </cmd>

    <cmd id="4399" name="app_hot_start">
        <action>
            <duration_ms>400</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1900800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1862400</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>11904</l3_memlat_min_freq> <!-- qcom:0x2E80, max 0xFFFF -->
            <gpu_disable_gpu_nap>1500</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>

    <cmd id="4400" name="click_normal">
        <action>
            <duration_ms>250</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1228800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1324800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>

    <cmd id="4401" name="click_boost">
        <action>
            <duration_ms>250</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4402" name="slide_normal">
        <action>
            <duration_ms>3000</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1228800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1056000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
    </cmd>

    <cmd id="4402" scene="6 7" name="slide_normal">
        <action>
            <duration_ms>3000</duration_ms>
            <sched_boost>2</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1324800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1228800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1056000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>

    <cmd id="4403" name="slide_boost">
        <action>
            <duration_ms>250</duration_ms>
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>71</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>38</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>8000</l3_memlat_min_freq> <!-- qcom:0x1F40, max 0xFFFF -->
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4415" name="camera_start">
        <action>
            <duration_ms>2000</duration_ms> <!-- 2000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>65535</l3_memlat_min_freq> <!-- max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <sched_min_task_util_for_colocation>75</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>90</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF,8-core -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>

    <cmd id="4416" name="quickstep">
        <action>
            <duration_ms>350</duration_ms>  <!-- 350 -->
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2400000</prime_cpu0_max_freq>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1651200</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1766400</prime_cpu0_min_freq>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <power_collapse>1</power_collapse>
            <boost_limit_level>20140036</boost_limit_level> <!-- 0 1 3 3 5 0 0 4 -->
        </action>
    </cmd>

    <cmd id="5376" name="set_default_level"> <!--group num must be (eas:8, hmp:1)-->
        <action>
            <duration_ms>0</duration_ms>
            <hmp>0</hmp>
        </action>
    </cmd>

    <cmd id="5378" name="touch_down">
        <action>
            <duration_ms>5000</duration_ms>
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq>
            <big_cpu0_min_freq>1228800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1056000</prime_cpu0_min_freq>
        </action>
    </cmd>

    <cmd id="5379" name="touch_up">
        <action>
            <duration_ms>200</duration_ms>
            <little_cpu0_min_freq>1324800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <prime_cpu0_min_freq>1516800</prime_cpu0_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
        </action>
    </cmd>

    <cmd id="12289" name="low_temp_tsh">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_max_freq>1152000</little_cpu0_max_freq>
            <big_cpu0_max_freq>1228800</big_cpu0_max_freq>
            <prime_cpu0_max_freq>1324800</prime_cpu0_max_freq>
        </action>
    </cmd>

    <cmd id="12354" name="gov_scene_level_4">
        <action>
            <duration_ms>0</duration_ms>
            <max_online_cpu_cluster_prime>0</max_online_cpu_cluster_prime>
            <min_online_cpu_cluster_prime>0</min_online_cpu_cluster_prime>
        </action>
    </cmd>
    <!--from 13050 to 13059, for game launch boost. cmd id begin-->
    <cmd id="13050" name="game_start_05">
        <action>
            <duration_ms>5000</duration_ms> <!-- 5000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>13440</l3_memlat_min_freq> <!-- qcom:0x3480, max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, little cluster of 8-core -->	    
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>
    <cmd id="13051" name="game_start_10">
        <action>
            <duration_ms>10000</duration_ms> <!-- 10000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>13440</l3_memlat_min_freq> <!-- qcom:0x3480, max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, little cluster of 8-core -->	    
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>
    <cmd id="13052" name="game_start_20">
        <action>
            <duration_ms>20000</duration_ms> <!-- 20000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>13440</l3_memlat_min_freq> <!-- qcom:0x3480, max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, little cluster of 8-core -->	    
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>
    <cmd id="13053" name="game_start_30">
        <action>
            <duration_ms>30000</duration_ms> <!-- 30000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>13440</l3_memlat_min_freq> <!-- qcom:0x3480, max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, little cluster of 8-core -->	    
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>
    <cmd id="13054" name="game_start_15">
        <action>
            <duration_ms>15000</duration_ms> <!-- 15000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>13440</l3_memlat_min_freq> <!-- qcom:0x3480, max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, little cluster of 8-core -->	    
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>
    <cmd id="13055" name="game_start_40">
        <action>
            <duration_ms>40000</duration_ms> <!-- 40000 -->
            <sched_boost>1</sched_boost> <!-- 0~3, default 0, Full:1, Conservative:2 -->
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <prime_cpu0_min_freq>2400000</prime_cpu0_min_freq>
            <cpu_llcc_bw_min_freq>122</cpu_llcc_bw_min_freq> <!-- default 2288, 2288 4577 7110 9155 12298 14236 15258 -->
            <llcc_ddr_bw_min_freq>65</llcc_ddr_bw_min_freq> <!-- default 762, 762 1720 2086 2597 2929 3879 5931 6515 7980 10437 12191 -->
            <l3_memlat_min_freq>13440</l3_memlat_min_freq> <!-- qcom:0x3480, max 0xFFFF -->
            <gpu_disable_gpu_nap>2000</gpu_disable_gpu_nap> <!-- default 80ms - keep GPU clock always on -->
            <gpu_min_power_level>0</gpu_min_power_level> <!-- 3 levels, max:0 ~ min:2 -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, little cluster of 8-core -->	    
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
        </action>
    </cmd>
    <!--from 13050 to 13059, for game launch boost. cmd id end-->

    <cmd id="13250" name="camera_scan">
        <action>
            <duration_ms>10000</duration_ms>
            <fas_freq_boost_opp>20</fas_freq_boost_opp>
            <little_cpu0_max_freq>1785600</little_cpu0_max_freq>
            <big_cpu0_max_freq>2419200</big_cpu0_max_freq>
            <prime_cpu0_max_freq>2841600</prime_cpu0_max_freq>
        </action>
    </cmd>
</policy>
